stan::math::promoter< Eigen::Matrix< F, R, C >, Eigen::Matrix< T, R, C > > Struct Template Reference

`#include <promoter.hpp>`

## Static Public Member Functions

static void | promote (const Eigen::Matrix< F, R, C > &u, Eigen::Matrix< T, R, C > &t)
static Eigen::Matrix< T, R, C > | promote_to (const Eigen::Matrix< F, R, C > &u)

## Detailed Description

### template<typename F, typename T, int R, int C>
struct stan::math::promoter< Eigen::Matrix< F, R, C >, Eigen::Matrix< T, R, C > >

Definition at line 62 of file promoter.hpp.

## Member Function Documentation

## promote()

template<typename F , typename T , int R, int C>

static void stan::math::promoter< Eigen::Matrix< F, R, C >, Eigen::Matrix< T, R, C > >::promote | ( | const Eigen::Matrix< F, R, C > & | u,
|  | Eigen::Matrix< T, R, C > & | t
| ) |  |

inline static

Definition at line 63 of file promoter.hpp.

## promote_to()

template<typename F , typename T , int R, int C>

static Eigen::Matrix<T, R, C> stan::math::promoter< Eigen::Matrix< F, R, C >, Eigen::Matrix< T, R, C > >::promote_to | ( | const Eigen::Matrix< F, R, C > & | u | ) |

inline static

Definition at line 70 of file promoter.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/mat/fun/promoter.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.